GNU bug report logs - #20742
24.5; python mode indentation fails pep8

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tommi Komulainen <tommi.komulainen@HIDDEN>; merged with #19906, #20560; dated Fri, 5 Jun 2015 15:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 19906 20560 20742. Request was from fgallina@HIDDEN (Fabián Ezequiel Gallina) to control <at> debbugs.gnu.org. Full text available.
Merged 19906 20742. Request was from fgallina@HIDDEN (Fabián Ezequiel Gallina) to control <at> debbugs.gnu.org. Full text available.

Message received at 20742 <at> debbugs.gnu.org:


Received: (at 20742) by debbugs.gnu.org; 20 Jun 2015 10:56:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 20 06:56:49 2015
Received: from localhost ([127.0.0.1]:52472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z6GS8-0004fC-Kd
	for submit <at> debbugs.gnu.org; Sat, 20 Jun 2015 06:56:49 -0400
Received: from mail-la0-f52.google.com ([209.85.215.52]:35775)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tkomulai@HIDDEN>) id 1Z6GS6-0004ey-7Z
 for 20742 <at> debbugs.gnu.org; Sat, 20 Jun 2015 06:56:47 -0400
Received: by labko7 with SMTP id ko7so87140407lab.2
 for <20742 <at> debbugs.gnu.org>; Sat, 20 Jun 2015 03:56:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:date:message-id:subject:from:to:content-type;
 bh=5PoBF1ZKH/eFUcALa16hXmpY+fEwMIMi0/NdURKEKsI=;
 b=C3R9hChuk8KrXvbXzDHwSk8AGIzRwL9AKq5GtiYqcbXMVHvPJBWw6lf6z3uabtHXNZ
 mXKRheu+qIeu0om4X+3XKCbDmo0kAVMXoyFoHmia3tEhTZVhgOxmGhOK2UlB8z4abBvG
 nZwi4Wg1jhQ0wrGdlFKXWjGhQdvorLtZFq+Nfxt7tuHigaCZ8OGc/RhtlkGJsTSRtiy9
 MaRvQhU4uHX6B0mtZAmoYDBX1lU3cLYXMRDx8vpW84de/0D+N1FaTMYrfLddiiYA9xv1
 36IejAk/aSoDbYoKGiW6y/PUo34KdSQw513wehRHlLEd/LHvgnd6/ZQnFyKRmlxDOS1F
 AVSg==
MIME-Version: 1.0
X-Received: by 10.152.204.40 with SMTP id kv8mr21475293lac.113.1434797800218; 
 Sat, 20 Jun 2015 03:56:40 -0700 (PDT)
Received: by 10.112.113.165 with HTTP; Sat, 20 Jun 2015 03:56:40 -0700 (PDT)
Date: Sat, 20 Jun 2015 12:56:40 +0200
X-Google-Sender-Auth: beh1WtPXl1kGBtoRBi787ksWwXg
Message-ID: <CAEFOACbOfz2oO1sg9MRaFg_O11NFo5MLNt9BAvRDgRt3+jz+2Q@HIDDEN>
Subject: 24.5; [PATCH] python.el: fix close paren indentation to match pep8
From: Tommi Komulainen <tommi.komulainen@HIDDEN>
To: 20742 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20742
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

From da684af7265bf40e4140328c36011fea6b040373 Mon Sep 17 00:00:00 2001
From: Tommi Komulainen <tommi.komulainen@HIDDEN>
Date: Fri, 19 Jun 2015 18:53:52 +0200
Subject: [PATCH] python.el: fix close paren indentation to match pep8

When opening paren is followed by newline the closing paren should follow
the current indentation. Otherwise the closing paren should be aligned
with the opening paren. This fixes the latter case. #20742
---
 lisp/progmodes/python.el       | 12 +++++++++---
 test/automated/python-tests.el | 42 +++++++++++++++++++++++++++++++++---------
 2 files changed, 42 insertions(+), 12 deletions(-)

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index de2d2d1..013a565 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -952,12 +952,18 @@ possibilities can be narrowed to specific
indentation points."
         (`(,(or :after-line
                 :after-comment
                 :inside-string
-                :after-backslash
-                :inside-paren-at-closing-paren
-                :inside-paren-at-closing-nested-paren) . ,start)
+                :after-backslash) . ,start)
          ;; Copy previous indentation.
          (goto-char start)
          (current-indentation))
+        (`(,(or :inside-paren-at-closing-paren
+                :inside-paren-at-closing-nested-paren) . ,start)
+         (goto-char (+ 1 start))
+         (if (looking-at "[ \t]*\\(?:#\\|$\\)")
+             ;; Copy previous indentation.
+             (current-indentation)
+           ;; Align with opening paren.
+           (current-column)))
         (`(,(or :after-block-start
                 :after-backslash-first-line
                 :inside-paren-newline-start) . ,start)
diff --git a/test/automated/python-tests.el b/test/automated/python-tests.el
index 42c26fc..f35f188 100644
--- a/test/automated/python-tests.el
+++ b/test/automated/python-tests.el
@@ -171,16 +171,28 @@ aliqua."
   "First pep8 case."
   (python-tests-with-temp-buffer
    "# Aligned with opening delimiter
-foo = long_function_name(var_one, var_two,
-                         var_three, var_four)
+foo = long_function_name(var_one=[var_two,  # comment
+                                  var_three
+                                  ],
+                         var_four=0,
+                         )
 "
    (should (eq (car (python-indent-context)) :no-indent))
    (should (= (python-indent-calculate-indentation) 0))
-   (python-tests-look-at "foo = long_function_name(var_one, var_two,")
+   (python-tests-look-at "foo = long_function_name(var_one")
    (should (eq (car (python-indent-context)) :after-comment))
    (should (= (python-indent-calculate-indentation) 0))
-   (python-tests-look-at "var_three, var_four)")
+   (python-tests-look-at "var_three")
    (should (eq (car (python-indent-context)) :inside-paren))
+   (should (= (python-indent-calculate-indentation) 34))
+   (python-tests-look-at "]")
+   (should (eq (car (python-indent-context))
:inside-paren-at-closing-nested-paren))
+   (should (= (python-indent-calculate-indentation) 34))
+   (python-tests-look-at "var_four")
+   (should (eq (car (python-indent-context)) :inside-paren))
+   (should (= (python-indent-calculate-indentation) 25))
+   (python-tests-look-at ")")
+   (should (eq (car (python-indent-context)) :inside-paren-at-closing-paren))
    (should (= (python-indent-calculate-indentation) 25))))

 (ert-deftest python-indent-pep8-2 ()
@@ -215,20 +227,32 @@ def long_function_name(
   (python-tests-with-temp-buffer
    "# Extra indentation is not necessary.
 foo = long_function_name(
-  var_one, var_two,
-  var_three, var_four)
+    var_one, var_two=[  # comment
+        var_three,
+    ],
+    var_four=0,
+)
 "
    (should (eq (car (python-indent-context)) :no-indent))
    (should (= (python-indent-calculate-indentation) 0))
    (python-tests-look-at "foo = long_function_name(")
    (should (eq (car (python-indent-context)) :after-comment))
    (should (= (python-indent-calculate-indentation) 0))
-   (python-tests-look-at "var_one, var_two,")
+   (python-tests-look-at "var_one")
    (should (eq (car (python-indent-context)) :inside-paren-newline-start))
    (should (= (python-indent-calculate-indentation) 4))
-   (python-tests-look-at "var_three, var_four)")
+   (python-tests-look-at "var_three")
    (should (eq (car (python-indent-context)) :inside-paren-newline-start))
-   (should (= (python-indent-calculate-indentation) 4))))
+   (should (= (python-indent-calculate-indentation) 8))
+   (python-tests-look-at "]")
+   (should (eq (car (python-indent-context))
:inside-paren-at-closing-nested-paren))
+   (should (= (python-indent-calculate-indentation) 4))
+   (python-tests-look-at "var_four")
+   (should (eq (car (python-indent-context)) :inside-paren-newline-start))
+   (should (= (python-indent-calculate-indentation) 4))
+   (python-tests-look-at ")")
+   (should (eq (car (python-indent-context)) :inside-paren-at-closing-paren))
+   (should (= (python-indent-calculate-indentation) 0))))

 (ert-deftest python-indent-base-case ()
   "Check base case does not trigger errors."
-- 
2.4.4




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20742; Package emacs. Full text available.

Message received at 20742 <at> debbugs.gnu.org:


Received: (at 20742) by debbugs.gnu.org; 19 Jun 2015 17:04:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 19 13:04:27 2015
Received: from localhost ([127.0.0.1]:52165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z5ziM-0003Ef-49
	for submit <at> debbugs.gnu.org; Fri, 19 Jun 2015 13:04:26 -0400
Received: from mail-lb0-f176.google.com ([209.85.217.176]:35283)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tkomulai@HIDDEN>) id 1Z5ziK-0003ER-30
 for 20742 <at> debbugs.gnu.org; Fri, 19 Jun 2015 13:04:24 -0400
Received: by lbbwc1 with SMTP id wc1so76027213lbb.2
 for <20742 <at> debbugs.gnu.org>; Fri, 19 Jun 2015 10:04:18 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=IhlK2K6k7fOFEAJHnXxg6WKBe2OUk2mhbRN/xt+H8J0=;
 b=V9Ho5eA98AIz/r08jX6n89vcADGyIYRfukrfepAoIbR234818lONIP9f7kEsBFYs8C
 G/Eof7RrLvuR6QPl8VPn8NE7YizzSONdclRiEVt556WEVOpPWdmZIRGIpZNnp8csgj5w
 m2QUJvkiWQyvfLMx+GDdHSurGhKxTl8KVpIy7hkQWFjvS3DxiyZ5wtNTSUGJSZtpn9xj
 dB0Hy15v6IoyxV3LCoHaxIIZgBZANatjF+ocf5keGp757jU+BZbok5n7t6422EKHlC/1
 BzDdrNJMG52fD0hMimU4t0npt5FQCllmauymef9hA7mHKY2VPtBSn/zLIJfPsKKWdLSd
 3l7g==
X-Received: by 10.152.121.42 with SMTP id lh10mr2611863lab.0.1434733458212;
 Fri, 19 Jun 2015 10:04:18 -0700 (PDT)
MIME-Version: 1.0
From: Tommi Komulainen <tommi.komulainen@HIDDEN>
Date: Fri, 19 Jun 2015 17:04:07 +0000
Message-ID: <CAEFOACZQTE817UP5as+bf43TXiCRc4padtoaC39E-6xCy06NOw@HIDDEN>
Subject: Testcase for #20742
To: "20742 <at> debbugs.gnu.org" <20742 <at> debbugs.gnu.org>
Content-Type: multipart/mixed; boundary=089e011774851fea620518e1eacf
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20742
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e011774851fea620518e1eacf
Content-Type: multipart/alternative; boundary=089e011774851fea5a0518e1eacd

--089e011774851fea5a0518e1eacd
Content-Type: text/plain; charset=UTF-8

Patch against emacs-24.5 branch to update the tests to check the closing
paren indentation as well.

--089e011774851fea5a0518e1eacd
Content-Type: text/html; charset=UTF-8

<div dir="ltr">Patch against emacs-24.5 branch to update the tests to check the closing paren indentation as well.</div>

--089e011774851fea5a0518e1eacd--
--089e011774851fea620518e1eacf
Content-Type: application/octet-stream; 
	name="0001-update-python-tests.el-for-pep8-indentation.patch"
Content-Disposition: attachment; 
	filename="0001-update-python-tests.el-for-pep8-indentation.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 14e0cc3f3687abb84371
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--089e011774851fea620518e1eacf--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20742; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jun 2015 16:31:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 12:31:36 2015
Received: from localhost ([127.0.0.1]:45400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1zxX-0001Js-PV
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 12:31:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36548)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andreas.roehler@HIDDEN>) id 1Z1zxV-0001Jf-W4
 for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 12:31:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1Z1zxK-0006dT-4R
 for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 12:31:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57192)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1Z1zxK-0006bE-2K
 for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 12:31:22 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48263)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1Z1zuu-0000Po-LH
 for bug-gnu-emacs@HIDDEN; Mon, 08 Jun 2015 12:28:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1Z1zuq-0003Cd-Ga
 for bug-gnu-emacs@HIDDEN; Mon, 08 Jun 2015 12:28:52 -0400
Received: from mout.kundenserver.de ([212.227.126.187]:64632)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1Z1zup-0003A1-PH
 for bug-gnu-emacs@HIDDEN; Mon, 08 Jun 2015 12:28:48 -0400
Received: from [192.168.178.31] ([95.119.46.238]) by mrelayeu.kundenserver.de
 (mreue002) with ESMTPSA (Nemesis) id 0MUxEy-1YYIMr2y6e-00Y7yj for
 <bug-gnu-emacs@HIDDEN>; Mon, 08 Jun 2015 18:28:45 +0200
Message-ID: <5575C2B1.1090609@HIDDEN>
Date: Mon, 08 Jun 2015 18:28:33 +0200
From: =?UTF-8?B?QW5kcmVhcyBSw7ZobGVy?= <andreas.roehler@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
 rv:31.0) Gecko/20100101 Thunderbird/31.4.0
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#20742: 24.5; python mode indentation fails pep8
References: <CAEFOACZwFq7T-9yginNyQ3hd72tssYykcE9wh3RXXRQQvsJ=Eg@HIDDEN>
In-Reply-To: <CAEFOACZwFq7T-9yginNyQ3hd72tssYykcE9wh3RXXRQQvsJ=Eg@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:iWoYM9hmUI45zh+Vir3tEKceSIEfb1rEU5YEX05ocTkFEeH/4Pi
 C3sm2XicWRLOelGeEhq1ugm9/CRqm6YRhydE/j/Y4Sr9diCiUMxEAHAJZtUK1AnIL2Zdl57
 FsMH9C6c6W/DFqnw2NmsY6KOrC2y64M5ian1RxtVpTs6vaFxpxO19Jh+mceyIRnUYJHSw/Q
 21otpoCtDXNC8PtAvhhZw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:N7Yu8Ayi8NA=:IEfks/1m7XwN3LT6im1bBa
 jV3/23GzhG3llXWe8Fav0mgDNutnNIWdOGuPRNImktcqCIrsNwL1zuZ/Dv0GTIj/7TX80qaQg
 vnvR4dj29zRtYoyrK+5eeBrMsKhQOSdE7yUxHVwvi3EqQIV/MDninTMSxiWeWG65IXePiDE90
 iOzg+u4KaIjRMsL1eEd92XQcDX32Yy1qDsg6Md8GuQDIUZCfjnnPtG/xq1CERlqGJt19dLr8C
 H9leoXgEKnk/0EdvfwWpzE9rdQVNMgMl5jYH42yoQaStm3vdpEt46ikRS6kntS5Tu8Iv4Tv6a
 c56C6yjuvFH/F2YS4aVP83fLpgCCsk1r2f+B4g2ej4vazPOMuG5JFAK2XS0CumRsliVpjMOqy
 FiGHHpcRXNaeb6vk1s1auoR/qEBtFwvSHsDydBZR99z71y3zeOHe6un4mQIcdmMHcOQKAxFTe
 wDF4Z3484Rio2f/1D0HWtvVu+t5zUVdEqoYj9r73laP1mepkId6vvARksZvwtNp++3VB8rffs
 eVtgzDURDhVZSfCleFZAyZwNrUGJK7x2KuKPxK20v6H2JAT+eM16TG32o1+Sjez6H62N9cNSB
 2lJoOAdLBge+NT3bL7HO4NcjCm5dRqVeVQXH2e7zUxa5sQO2UE6b85o1fn0KfT1yY5B0uIJvS
 wJ6KZlllLUHuRtND4/fMR6kwGIk9W4ktUm3jVLTnv+1yWe4imgEKfJJ9S9/UM5Ew5ERQmBBzj
 28ZX/JcQezRf22gogaKSzjJIxPfbEMlw5686fgTWN4+tcByie7WysHCRz1E=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Am 05.06.2015 um 09:58 schrieb Tommi Komulainen:

May confirm that bug

GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.23) of 2015-06-07




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20742; Package emacs. Full text available.

Message received at 20742 <at> debbugs.gnu.org:


Received: (at 20742) by debbugs.gnu.org; 5 Jun 2015 20:26:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 16:26:15 2015
Received: from localhost ([127.0.0.1]:42204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0yBx-0006MR-Ob
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:26:14 -0400
Received: from mail-lb0-f182.google.com ([209.85.217.182]:33770)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tkomulai@HIDDEN>) id 1Z0yBu-0006Lv-Lx
 for 20742 <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:26:11 -0400
Received: by lbcue7 with SMTP id ue7so52572162lbc.0
 for <20742 <at> debbugs.gnu.org>; Fri, 05 Jun 2015 13:26:04 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-type;
 bh=dSKMIFzuvPW2S9vrJoEx3Cgj0aB8BITLvG9HQpRDtak=;
 b=ZF71wKmuA69Lw8IxBztw9i3wGTL/xWsftoLETR53WLotOW0vxGOEnlB+qylvGELKh7
 /qNcwfRVjo5uvveDkR+VXpOFeqyLkMwD3ykEeamI+Ad822l4/d6sgee86rQl/uEliwX7
 xu/ijZEybJOtzAQ2t7O1vwHjttc7w/xZLzDMj66FMZeeiFJofMvzKzyCsT1LOPbubiJN
 cuhEnYMzI6lw5of2N86zJTFD0jfndWum5C0ZopDh1jQuD2Z6dVKPG+jsru9qckkKVEE4
 JQFE3Qxf3hz4vz07VPOW3HWs9SwwtBz2fCfivZ5FC/UE+jU1MUOYdJmPz8W5Tsob9l6+
 93Sg==
X-Received: by 10.152.198.135 with SMTP id jc7mr4948367lac.48.1433535964691;
 Fri, 05 Jun 2015 13:26:04 -0700 (PDT)
MIME-Version: 1.0
References: <CAEFOACZwFq7T-9yginNyQ3hd72tssYykcE9wh3RXXRQQvsJ=Eg@HIDDEN>
 <j5y4jxzz9y.fsf@HIDDEN>
In-Reply-To: <j5y4jxzz9y.fsf@HIDDEN>
From: Tommi Komulainen <tommi.komulainen@HIDDEN>
Date: Fri, 05 Jun 2015 20:25:54 +0000
Message-ID: <CAEFOACa4av4JLzNEjUT4RVCt+etGpWBqMCiEwq=Qi2gjno_M5g@HIDDEN>
Subject: Re: bug#20742: 24.5; python mode indentation fails pep8
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113481e8f2c6f70517cb192c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20742
Cc: 20742 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113481e8f2c6f70517cb192c
Content-Type: text/plain; charset=UTF-8

That's almost certainly me having the cursor after the closing bracket
rather than on top of it while double-checking the indentation on each
line. Best I can tell it made no difference to the indentation.

The other bug is closely related when the opening bracket is *not* followed
by newline, though I can't immediately say if either of the possible
indentations is preferred or an error according to pep8.

On Fri, 5 Jun 2015 at 22:16 Glenn Morris <rgm@HIDDEN> wrote:

> Tommi Komulainen wrote:
>
> > python-indent--calculate-indentation: Wrong type argument:
> > number-or-marker-p, nil [2 times]
>
> Perhaps the behaviour is not intended.
> (Related to bug#20560?)
>

--001a113481e8f2c6f70517cb192c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">That&#39;s almost certainly me having the cursor after the=
 closing bracket rather than on top of it while double-checking the indenta=
tion on each line. Best I can tell it made no difference to the indentation=
.<br><div><br></div><div>The other bug is closely related when the opening =
bracket is *not* followed by newline, though I can&#39;t immediately say if=
 either of the possible indentations is preferred or an error according to =
pep8.</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Fri, 5 =
Jun 2015 at 22:16 Glenn Morris &lt;<a href=3D"mailto:rgm@HIDDEN">rgm@HIDDEN=
rg</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margi=
n:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Tommi Komulainen =
wrote:<br>
<br>
&gt; python-indent--calculate-indentation: Wrong type argument:<br>
&gt; number-or-marker-p, nil [2 times]<br>
<br>
Perhaps the behaviour is not intended.<br>
(Related to bug#20560?)<br>
</blockquote></div>

--001a113481e8f2c6f70517cb192c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20742; Package emacs. Full text available.

Message received at 20742 <at> debbugs.gnu.org:


Received: (at 20742) by debbugs.gnu.org; 5 Jun 2015 20:16:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 16:16:46 2015
Received: from localhost ([127.0.0.1]:42187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0y2o-000681-G7
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:16:46 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:36622 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Z0y2m-00067t-Fu
 for 20742 <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:16:44 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1Z0y2j-0003lg-Ux; Fri, 05 Jun 2015 16:16:42 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Tommi Komulainen <tommi.komulainen@HIDDEN>
Subject: Re: bug#20742: 24.5; python mode indentation fails pep8
References: <CAEFOACZwFq7T-9yginNyQ3hd72tssYykcE9wh3RXXRQQvsJ=Eg@HIDDEN>
X-Spook: weapons of mass destruction Lexis-Nexis Kidnap San Diego
X-Ran: &n2iW`"E/owkjBkrx7*)Ri]gsK!;v=G5J%6f/B*o}Z$>v,hbYM~W(_Ih#skyVQ4g@W:&np
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 05 Jun 2015 16:16:41 -0400
In-Reply-To: <CAEFOACZwFq7T-9yginNyQ3hd72tssYykcE9wh3RXXRQQvsJ=Eg@HIDDEN>
 (Tommi Komulainen's message of "Fri, 5 Jun 2015 09:58:30 +0200")
Message-ID: <j5y4jxzz9y.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 20742
Cc: 20742 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Tommi Komulainen wrote:

> python-indent--calculate-indentation: Wrong type argument:
> number-or-marker-p, nil [2 times]

Perhaps the behaviour is not intended.
(Related to bug#20560?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20742; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2015 15:21:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 11:21:52 2015
Received: from localhost ([127.0.0.1]:41979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0tRP-00064b-JK
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 11:21:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34425)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tkomulai@HIDDEN>) id 1Z0mWX-0002Nl-MC
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 03:58:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tkomulai@HIDDEN>) id 1Z0mWR-0005o3-3j
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 03:58:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49847)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tkomulai@HIDDEN>) id 1Z0mWR-0005ny-0A
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 03:58:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47929)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tkomulai@HIDDEN>) id 1Z0mWP-0007Ak-OO
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2015 03:58:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tkomulai@HIDDEN>) id 1Z0mWO-0005mN-AQ
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2015 03:58:33 -0400
Received: from mail-la0-x234.google.com ([2a00:1450:4010:c03::234]:34276)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tkomulai@HIDDEN>) id 1Z0mWO-0005lf-2L
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2015 03:58:32 -0400
Received: by laew7 with SMTP id w7so48419595lae.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Jun 2015 00:58:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:date:message-id:subject:from:to:content-type;
 bh=zxnRxnTg6ubI0BnBcS7YiYHT+IDADdZ8zxk09ZeMpCQ=;
 b=n+Br4Zq7wexgKpwBQH+SxxD1CPYj6E/pLtkUODqQrqKAoaru17TCFPD+DlmH0HI2fq
 9+FsCeoB+b7njypKkXfisPpvJaxNK7i+tubJH5dkkW7/4sIisdpV7sTzKlgsHjqMPOA7
 c/rlNeZdPdT90tnbTLcVAFeyqMvdxEPXhLlOHed+Kb61xrBm99u4SnaGyQQRccCCqfSA
 a33xKRJBzHh1WtdlfkD5RTyrXXUMNTwm5tXKNRWC87v1ESUi5tfTQ3dDEEti8DmIZvQw
 MCydGHVAGGLaNo7G+f3UhBa6f1bPgbj+pPuvvbfL4PJp5cWaPwIPmFqHTNF//Nyjbd9y
 WyRQ==
MIME-Version: 1.0
X-Received: by 10.152.3.97 with SMTP id b1mr2155572lab.54.1433491110107; Fri,
 05 Jun 2015 00:58:30 -0700 (PDT)
Received: by 10.112.113.165 with HTTP; Fri, 5 Jun 2015 00:58:30 -0700 (PDT)
Date: Fri, 5 Jun 2015 09:58:30 +0200
X-Google-Sender-Auth: A86WvD0L7TocG6pA9S_IekCsKv4
Message-ID: <CAEFOACZwFq7T-9yginNyQ3hd72tssYykcE9wh3RXXRQQvsJ=Eg@HIDDEN>
Subject: 24.5; python mode indentation fails pep8
From: Tommi Komulainen <tommi.komulainen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 05 Jun 2015 11:21:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

The automatic indentation and manual reindenting with
indent-according-to-mode puts the closing bracket in wrong place that
makes pep8/flake8 flycheck complain:

print("hello",
      "world",
)
E124 closing bracket does not match visual indentation

The bracket needs to align with the first thing after the opening
bracket if it's on the same line i.e.:

print("hello",
      "world",
      )

The automatic indentation doesn't cause any errors if there's a newline
after the opening bracket though:

print(
    "hello",
    "world",
)



In GNU Emacs 24.5.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.16.2)
 of 2015-04-22 on buildhw-10.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.11701000
System Description: Fedora release 22 (Twenty Two)

Configured using:
 `configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no build_alias=x86_64-redhat-linux-gnu
 host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
 -m64 -mtune=generic' LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Python

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
(New file)
Can't guess python-indent-offset, using defaults: 4
python-indent--calculate-indentation: Wrong type argument:
number-or-marker-p, nil [2 times]
Making completion list...
python-indent--calculate-indentation: Wrong type argument:
number-or-marker-p, nil [2 times]
Making completion list...
user-error: End of history; no default available [2 times]
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode python easymenu json comint
ring cl-loaddefs cl-lib ansi-color time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 81480 5832)
 (symbols 48 18574 0)
 (miscs 40 39 124)
 (strings 32 12163 4670)
 (string-bytes 1 364259)
 (vectors 16 10283)
 (vector-slots 8 394463 9319)
 (floats 8 66 386)
 (intervals 56 243 1)
 (buffers 960 13)
 (heap 1024 32872 1101))




Acknowledgement sent to Tommi Komulainen <tommi.komulainen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20742; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Jul 2015 02:30:05 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.